Index: trunk/geant4/visualization/management/src/G4VisCommandsGeometrySet.cc
===================================================================
--- trunk/geant4/visualization/management/src/G4VisCommandsGeometrySet.cc	(revision 592)
+++ trunk/geant4/visualization/management/src/G4VisCommandsGeometrySet.cc	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VisCommandsGeometrySet.cc,v 1.6 2006/09/19 16:05:13 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// $Id: G4VisCommandsGeometrySet.cc,v 1.7 2007/01/05 16:24:19 allison Exp $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 
 // /vis/geometry commands - John Allison  31st January 2006
@@ -171,5 +171,5 @@
   G4bool omitable;
   fpCommand = new G4UIcommand("/vis/geometry/set/daughtersInvisible", this);
-  fpCommand->SetGuidance("Sets daughters of logical volume(s) invisible.");
+  fpCommand->SetGuidance("Makes daughters of logical volume(s) invisible.");
   fpCommand->SetGuidance("\"all\" sets all logical volumes.");
   fpCommand->SetGuidance
@@ -243,5 +243,6 @@
   fpCommand = new G4UIcommand("/vis/geometry/set/forceAuxEdgeVisible", this);
   fpCommand->SetGuidance
-    ("Sets auxiliary (soft) edges of logical volume(s) drawing visible.");
+    ("Forces auxiliary (soft) edges of logical volume(s) to be visible,"
+    "\nregardless of the view parameters.");
   fpCommand->SetGuidance("\"all\" sets all logical volumes.");
   fpCommand->SetGuidance
@@ -288,4 +289,57 @@
 }
 
+////////////// /vis/geometry/set/forceLineSegmentsPerCircle /////////////////////////
+
+G4VisCommandGeometrySetForceLineSegmentsPerCircle::G4VisCommandGeometrySetForceLineSegmentsPerCircle()
+{
+  G4bool omitable;
+  fpCommand = new G4UIcommand("/vis/geometry/set/forceLineSegmentsPerCircle", this);
+  fpCommand->SetGuidance
+    ("Forces number of line segments per circle, the precision with which a"
+     "\ncurved line or surface is represented by a polygon or polyhedron,"
+     "\nregardless of the view parameters.");
+  fpCommand->SetGuidance("\"all\" sets all logical volumes.");
+  fpCommand->SetGuidance
+    ("Optionally propagates down hierarchy to given depth.");
+  G4UIparameter* parameter;
+  parameter = new G4UIparameter ("logical-volume-name", 's', omitable = true);
+  parameter->SetDefaultValue("all");
+  fpCommand->SetParameter(parameter);
+  parameter = new G4UIparameter("depth", 'd', omitable = true);
+  parameter->SetDefaultValue(0);
+  parameter->SetGuidance
+    ("Depth of propagation (-1 means unlimited depth).");
+  fpCommand->SetParameter(parameter);
+  parameter = new G4UIparameter("lineSegmentsPerCircle", 'd', omitable = true);
+  parameter->SetGuidance
+    ("< 0 means not forced, i.e., under control of viewer.");
+  parameter->SetDefaultValue(-1);
+  fpCommand->SetParameter(parameter);
+}
+
+G4VisCommandGeometrySetForceLineSegmentsPerCircle::~G4VisCommandGeometrySetForceLineSegmentsPerCircle()
+{
+  delete fpCommand;
+}
+
+G4String
+G4VisCommandGeometrySetForceLineSegmentsPerCircle::GetCurrentValue(G4UIcommand*)
+{
+  return "";
+}
+
+void G4VisCommandGeometrySetForceLineSegmentsPerCircle::SetNewValue
+(G4UIcommand*, G4String newValue)
+{
+  G4String name;
+  G4int requestedDepth;
+  G4int lineSegmentsPerCircle;
+  std::istringstream iss(newValue);
+  iss >> name >> requestedDepth >> lineSegmentsPerCircle;
+
+  G4VisCommandGeometrySetForceLineSegmentsPerCircleFunction setForceLineSegmentsPerCircle(lineSegmentsPerCircle);
+  Set(name, setForceLineSegmentsPerCircle, requestedDepth);
+}
+
 ////////////// /vis/geometry/set/forceSolid /////////////////////////
 
@@ -295,5 +349,6 @@
   fpCommand = new G4UIcommand("/vis/geometry/set/forceSolid", this);
   fpCommand->SetGuidance
-   ("Sets logical volume(s) drawing always to be as solid (surface drawing).");
+   ("Forces logical volume(s) always to be drawn solid (surface drawing),"
+    "\nregardless of the view parameters.");
   fpCommand->SetGuidance("\"all\" sets all logical volumes.");
   fpCommand->SetGuidance
@@ -345,5 +400,6 @@
   fpCommand = new G4UIcommand("/vis/geometry/set/forceWireframe", this);
   fpCommand->SetGuidance
-   ("Sets logical volume(s) drawing always to be as wireframe.");
+   ("Forces logical volume(s) always to be drawn as wireframe,"
+    "\nregardless of the view parameters.");
   fpCommand->SetGuidance("\"all\" sets all logical volumes.");
   fpCommand->SetGuidance
Index: trunk/geant4/visualization/management/src/G4VisCommandsScene.cc
===================================================================
--- trunk/geant4/visualization/management/src/G4VisCommandsScene.cc	(revision 592)
+++ trunk/geant4/visualization/management/src/G4VisCommandsScene.cc	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VisCommandsScene.cc,v 1.65 2006/11/26 19:37:54 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// $Id: G4VisCommandsScene.cc,v 1.66 2007/05/25 10:49:55 allison Exp $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 
 // /vis/scene commands - John Allison  9th August 1998
@@ -480,6 +480,27 @@
   G4VSceneHandler* pCurrentSceneHandler =
     fpVisManager -> GetCurrentSceneHandler();
+  if (!pCurrentSceneHandler) {
+    if (verbosity >= G4VisManager::warnings) {
+      G4cout << "WARNING: No current scene handler."
+	     << G4endl;
+    }
+    return;
+  }
   G4VViewer* pCurrentViewer = fpVisManager -> GetCurrentViewer();
+  if (!pCurrentViewer) {
+    if (verbosity >= G4VisManager::warnings) {
+      G4cout << "WARNING: No current viewer."
+	     << G4endl;
+    }
+    return;
+  }
   G4Scene* pCurrentScene = fpVisManager -> GetCurrentScene();
+  if (!pCurrentScene) {
+    if (verbosity >= G4VisManager::warnings) {
+      G4cout << "WARNING: No current scene."
+	     << G4endl;
+    }
+    return;
+  }
   G4VisManager::Verbosity currentVerbosity = fpVisManager -> GetVerbosity();
 
Index: trunk/geant4/visualization/management/src/G4VisCommandsSceneAdd.cc
===================================================================
--- trunk/geant4/visualization/management/src/G4VisCommandsSceneAdd.cc	(revision 592)
+++ trunk/geant4/visualization/management/src/G4VisCommandsSceneAdd.cc	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VisCommandsSceneAdd.cc,v 1.72 2006/11/25 15:37:31 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 // /vis/scene commands - John Allison  9th August 1998
 
Index: trunk/geant4/visualization/management/src/G4VisCommandsSceneHandler.cc
===================================================================
--- trunk/geant4/visualization/management/src/G4VisCommandsSceneHandler.cc	(revision 592)
+++ trunk/geant4/visualization/management/src/G4VisCommandsSceneHandler.cc	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VisCommandsSceneHandler.cc,v 1.32 2006/06/29 21:29:46 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 
 // /vis/sceneHandler commands - John Allison  10th October 1998
Index: trunk/geant4/visualization/management/src/G4VisCommandsViewer.cc
===================================================================
--- trunk/geant4/visualization/management/src/G4VisCommandsViewer.cc	(revision 592)
+++ trunk/geant4/visualization/management/src/G4VisCommandsViewer.cc	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VisCommandsViewer.cc,v 1.66 2006/11/25 15:38:03 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// $Id: G4VisCommandsViewer.cc,v 1.68 2007/01/11 16:41:30 allison Exp $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 
 // /vis/viewer commands - John Allison  25th October 1998
@@ -73,5 +73,5 @@
   fpCommand = new G4UIcommand ("/vis/viewer/addCutawayPlane", this);
   fpCommand -> SetGuidance
-    ("Add cutaway plane A*x + B*y + C*z + D = 0 to current viewer.");
+    ("Add cutaway plane to current viewer.");
   G4UIparameter* parameter;
   parameter  =  new G4UIparameter("x",'d',omitable = true);
@@ -1139,6 +1139,6 @@
   G4Scene* scene = sceneHandler->GetScene();
   if (!scene) {
-    if (verbosity >= G4VisManager::warnings) {
-      G4cout << "WARNING: SceneHandler \"" << sceneHandler->GetName()
+    if (verbosity >= G4VisManager::confirmations) {
+      G4cout << "NOTE: SceneHandler \"" << sceneHandler->GetName()
 	     << "\", to which viewer \"" << refreshName << "\"" <<
 	"\n  is attached, has no scene - \"/vis/scene/create\" and"
@@ -1413,6 +1413,6 @@
   G4Scene* scene = sceneHandler->GetScene();
   if (!scene) {
-    if (verbosity >= G4VisManager::warnings) {
-      G4cout << "WARNING: SceneHandler \"" << sceneHandler->GetName()
+    if (verbosity >= G4VisManager::confirmations) {
+      G4cout << "NOTE: SceneHandler \"" << sceneHandler->GetName()
 	     << "\", to which viewer \"" << updateName << "\"" <<
 	"\n  is attached, has no scene - \"/vis/scene/create\" and"
Index: trunk/geant4/visualization/management/src/G4VisCommandsViewerSet.cc
===================================================================
--- trunk/geant4/visualization/management/src/G4VisCommandsViewerSet.cc	(revision 592)
+++ trunk/geant4/visualization/management/src/G4VisCommandsViewerSet.cc	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VisCommandsViewerSet.cc,v 1.47 2006/11/14 14:59:55 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// $Id: G4VisCommandsViewerSet.cc,v 1.49 2007/07/10 17:51:54 allison Exp $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 
 // /vis/viewer/set commands - John Allison  16th May 2000
@@ -67,5 +67,5 @@
      "\nview parameters.");
   fpCommandAutoRefresh->SetParameterName("auto-refresh",omitable = true);
-  fpCommandAutoRefresh->SetDefaultValue(false);
+  fpCommandAutoRefresh->SetDefaultValue(true);
 
   fpCommandAuxEdge = new G4UIcmdWithABool
@@ -76,5 +76,5 @@
      "\nsometimes called soft edges, become visible/invisible.");
   fpCommandAuxEdge->SetParameterName("edge",omitable = true);
-  fpCommandAuxEdge->SetDefaultValue(false);
+  fpCommandAuxEdge->SetDefaultValue(true);
 
   fpCommandBackground = new G4UIcommand
@@ -247,4 +247,13 @@
   fpCommandLineSegments->SetParameterName("line-segments",omitable = true);
   fpCommandLineSegments->SetDefaultValue(24);
+
+  fpCommandPicking = new G4UIcmdWithABool
+    ("/vis/viewer/set/picking",this);
+  fpCommandPicking->SetGuidance("Sets picking, if available.");
+  fpCommandPicking->SetGuidance
+    ("If true, view is set up for picking, if available."
+     "\nFor required actions, watch for instructions for viewer.");
+  fpCommandPicking->SetParameterName("picking",omitable = true);
+  fpCommandPicking->SetDefaultValue(true);
 
   fpCommandProjection = new G4UIcommand("/vis/viewer/set/projection",this);
@@ -388,4 +397,5 @@
   delete fpCommandLightsThetaPhi;
   delete fpCommandLightsVector;
+  delete fpCommandPicking;
   delete fpCommandProjection;
   delete fpCommandSectionPlane;
@@ -460,6 +470,8 @@
 	     << G4endl;
     }
-    currentViewer->SetViewParameters(vp);
-    return;  // I.e., avoid a refresh for this command.
+    if (!vp.IsAutoRefresh()) {
+      currentViewer->SetViewParameters(vp);
+      return;  // Avoid a refresh id auto-refresh has been set to off...
+    }  // ...otherwise take normal action.
   }
 
@@ -754,4 +766,14 @@
   }
 
+  else if (command == fpCommandPicking) {
+    vp.SetPicking(G4UIcommand::ConvertToBool(newValue));
+    if (verbosity >= G4VisManager::confirmations) {
+      G4cout << "Picking ";
+      if (vp.IsPicking()) G4cout << "requested.";
+      else G4cout << "inhibited.";
+      G4cout << G4endl;
+    }
+  }
+
   else if (command == fpCommandProjection) {
     G4double fieldHalfAngle;
Index: trunk/geant4/visualization/management/src/G4VisFeaturesOfDAWNFILE.cc
===================================================================
--- trunk/geant4/visualization/management/src/G4VisFeaturesOfDAWNFILE.cc	(revision 592)
+++ trunk/geant4/visualization/management/src/G4VisFeaturesOfDAWNFILE.cc	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VisFeaturesOfDAWNFILE.cc,v 1.6 2006/06/29 21:29:52 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 #include "G4VisFeaturesOfDAWNFILE.hh"
Index: trunk/geant4/visualization/management/src/G4VisFeaturesOfFukuiRenderer.cc
===================================================================
--- trunk/geant4/visualization/management/src/G4VisFeaturesOfFukuiRenderer.cc	(revision 592)
+++ trunk/geant4/visualization/management/src/G4VisFeaturesOfFukuiRenderer.cc	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VisFeaturesOfFukuiRenderer.cc,v 1.5 2006/06/29 21:29:54 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/management/src/G4VisFeaturesOfOpenGL.cc
===================================================================
--- trunk/geant4/visualization/management/src/G4VisFeaturesOfOpenGL.cc	(revision 592)
+++ trunk/geant4/visualization/management/src/G4VisFeaturesOfOpenGL.cc	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VisFeaturesOfOpenGL.cc,v 1.5 2006/06/29 21:29:56 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// $Id: G4VisFeaturesOfOpenGL.cc,v 1.6 2007/10/03 14:21:55 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/geant4/visualization/management/src/G4VisFeaturesOfOpenInventor.cc
===================================================================
--- trunk/geant4/visualization/management/src/G4VisFeaturesOfOpenInventor.cc	(revision 592)
+++ trunk/geant4/visualization/management/src/G4VisFeaturesOfOpenInventor.cc	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VisFeaturesOfOpenInventor.cc,v 1.5 2006/06/29 21:29:58 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/management/src/G4VisManager.cc
===================================================================
--- trunk/geant4/visualization/management/src/G4VisManager.cc	(revision 592)
+++ trunk/geant4/visualization/management/src/G4VisManager.cc	(revision 593)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4VisManager.cc,v 1.109 2006/11/26 15:43:51 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// $Id: G4VisManager.cc,v 1.113 2007/05/25 10:50:26 allison Exp $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
@@ -72,4 +72,5 @@
 #include "Randomize.hh"
 #include "G4RunManager.hh"
+#include "G4EventManager.hh"
 #include "G4Run.hh"
 #include "G4Event.hh"
@@ -86,5 +87,5 @@
   fpSceneHandler   (0),
   fpViewer         (0),
-  fVerbosity       (confirmations),//(warnings),
+  fVerbosity       (warnings),
   fpStateDependent (0),
   fEventRefreshing          (false),
@@ -92,5 +93,7 @@
   fTransientsDrawnThisEvent (false),
   fEventKeepingSuspended    (false),
-  fKeptLastEvent            (false)
+  fKeptLastEvent            (false),
+  fpRequestedEvent (0),
+  fAbortReviewKeptEvents    (false)
   // All other objects use default constructors.
 {
@@ -118,5 +121,5 @@
   if (fpInstance) {
     G4Exception
-      ("G4VisManager: attempt to Construct more than one VisManager. ");
+      ("G4VisManager: attempt to Construct more than one VisManager.");
   }
   else {
@@ -584,57 +587,62 @@
   if (fpSceneHandler) {
     G4VViewer* p = fpGraphicsSystem -> CreateViewer (*fpSceneHandler, name);
-    if (p) {
-      fpViewer = p;                             // Make current.
-      fpViewer -> Initialise ();
-      fpSceneHandler -> AddViewerToList (fpViewer);
-      fpSceneHandler -> SetCurrentViewer (fpViewer);
-
-      const G4ViewParameters& vp = fpViewer->GetViewParameters();
-      G4bool warn = false;
-      if (vp.IsCulling () && vp.IsCullingInvisible ()) {
-	warn = true;
+    if (!p) {
+      if (fVerbosity >= errors) {
+	G4cout << "ERROR in G4VisManager::CreateViewer during "
+	       << fpGraphicsSystem -> GetName ()
+	       << " viewer creation.\n  No action taken."
+	       << G4endl;
+      }
+    } else {
+      p -> Initialise ();
+      if (p -> GetViewId() < 0) {
+	if (fVerbosity >= errors) {
+	G4cout << "ERROR in G4VisManager::CreateViewer during "
+	       << fpGraphicsSystem -> GetName ()
+	       << " viewer initialisation.\n  No action taken."
+	       << G4endl;
+	}
+      } else {
+	fpViewer = p;                             // Make current.
+	fpSceneHandler -> AddViewerToList (fpViewer);
+	fpSceneHandler -> SetCurrentViewer (fpViewer);
+
 	if (fVerbosity >= confirmations) {
-	  G4cout << "G4VisManager::CreateViewer: new viewer created:"
+	  G4cout << "G4VisManager::CreateViewer: new viewer created."
 		 << G4endl;
 	}
+
+	const G4ViewParameters& vp = fpViewer->GetViewParameters();
 	if (fVerbosity >= parameters) {
 	  G4cout << " view parameters are:\n  " << vp << G4endl;
 	}
-	if (fVerbosity >= warnings) {
-	  G4cout <<
-	    "WARNING: objects with visibility flag set to \"false\""
-	    " will not be drawn!"
-	    "\n  \"/vis/viewer/set/culling global false\" to Draw such objects."
-		 << G4endl;
-	}
-      }
-      if (vp.IsCullingCovered ()) {
-	if (!warn) {
+
+	if (vp.IsCulling () && vp.IsCullingInvisible ()) {
+	  static G4bool warned = false;
 	  if (fVerbosity >= confirmations) {
-	    G4cout << "G4VisManager::CreateViewer: new viewer created:"
-		   << G4endl;
+	    if (!warned) {
+	      G4cout <<
+  "NOTE: objects with visibility flag set to \"false\""
+  " will not be drawn!"
+  "\n  \"/vis/viewer/set/culling global false\" to Draw such objects."
+  "\n  Also see other \"/vis/viewer/set\" commands."
+		     << G4endl;
+	      warned = true;
+	    }
 	  }
 	}
-	warn = true;
-	if (fVerbosity >= warnings) {
-	  G4cout <<
-	    "WARNING: covered objects in solid mode will not be rendered!"
-	    "\n  \"/vis/viewer/set/culling coveredDaughters false\" to reverse this."
-		 << G4endl;
+	if (vp.IsCullingCovered ()) {
+	  static G4bool warned = false;
+	  if (fVerbosity >= warnings) {
+	    if (!warned) {
+	      G4cout <<
+  "WARNING: covered objects in solid mode will not be rendered!"
+  "\n  \"/vis/viewer/set/culling coveredDaughters false\" to reverse this."
+  "\n  Also see other \"/vis/viewer/set\" commands."
+		     << G4endl;
+	      warned = true;
+	    }
+	  }
 	}
-      }
-      if (warn) {
-	if (fVerbosity >= warnings) {
-	  G4cout << "  Also see other \"/vis/viewer/set\" commands."
-		 << G4endl;
-	}
-      }
-    }
-    else {
-      if (fVerbosity >= errors) {
-	G4cout << "ERROR in G4VisManager::CreateViewer during "
-	       << fpGraphicsSystem -> GetName ()
-	       <<	" viewer creation.\n  No action taken."
-	       << G4endl;
       }
     }
@@ -893,4 +901,5 @@
 
   // Top level basic commands...
+  RegisterMessenger(new G4VisCommandAbortReviewKeptEvents);
   RegisterMessenger(new G4VisCommandEnable);
   RegisterMessenger(new G4VisCommandList);
@@ -921,4 +930,5 @@
   RegisterMessenger(new G4VisCommandGeometrySetLineWidth);
   RegisterMessenger(new G4VisCommandGeometrySetForceAuxEdgeVisible);
+  RegisterMessenger(new G4VisCommandGeometrySetForceLineSegmentsPerCircle);
   RegisterMessenger(new G4VisCommandGeometrySetForceSolid);
   RegisterMessenger(new G4VisCommandGeometrySetForceWireframe);
@@ -1104,5 +1114,5 @@
 void G4VisManager::BeginOfRun ()
 {
-  G4cout << "G4VisManager::BeginOfRun" << G4endl;
+  //G4cout << "G4VisManager::BeginOfRun" << G4endl;
   fKeptLastEvent = false;
   fEventKeepingSuspended = false;
@@ -1113,5 +1123,5 @@
 void G4VisManager::BeginOfEvent ()
 {
-  G4cout << "G4VisManager::BeginOfEvent" << G4endl;
+  //G4cout << "G4VisManager::BeginOfEvent" << G4endl;
   fTransientsDrawnThisEvent = false;
   if (fpSceneHandler) fpSceneHandler->SetTransientsDrawnThisEvent(false);
@@ -1120,5 +1130,5 @@
 void G4VisManager::EndOfEvent ()
 {
-  G4cout << "G4VisManager::EndOfEvent" << G4endl;
+  //G4cout << "G4VisManager::EndOfEvent" << G4endl;
 
   // Don't call IsValidView unless there is a scene handler.  This
@@ -1131,12 +1141,10 @@
   const G4Run* currentRun = runManager->GetCurrentRun();
 
-  const G4Event* currentEvent =
-    G4EventManager::GetEventManager()->GetConstCurrentEvent();
+  G4EventManager* eventManager = G4EventManager::GetEventManager();
+  const G4Event* currentEvent = eventManager->GetConstCurrentEvent();
   if (!currentEvent) return;
 
   ClearTransientStoreIfMarked();
-  printf("G4VisManager::DrawEvent \n");
   fpSceneHandler->DrawEvent(currentEvent);
-  printf("G4VisManager::DrawEvent END\n");
 
   G4int nEventsToBeProcessed = 0;
@@ -1160,5 +1168,5 @@
       // Keep, but only if user has not kept any...
       if (!nKeptEvents) {
-	G4EventManager::GetEventManager()->KeepTheCurrentEvent();
+	eventManager->KeepTheCurrentEvent();
 	fKeptLastEvent = true;
       }
@@ -1182,5 +1190,5 @@
       }
     } else if (maxNumberOfKeptEvents != 0) {
-      G4EventManager::GetEventManager()->KeepTheCurrentEvent();
+      eventManager->KeepTheCurrentEvent();
     }
   }
@@ -1189,5 +1197,5 @@
 void G4VisManager::EndOfRun ()
 {
-  G4cout << "G4VisManager::EndOfRun" << G4endl;
+  //G4cout << "G4VisManager::EndOfRun" << G4endl;
 
   // Don't call IsValidView unless there is a scene handler.  This
Index: trunk/geant4/visualization/management/src/G4VisStateDependent.cc
===================================================================
--- trunk/geant4/visualization/management/src/G4VisStateDependent.cc	(revision 592)
+++ trunk/geant4/visualization/management/src/G4VisStateDependent.cc	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VisStateDependent.cc,v 1.6 2006/06/29 21:30:02 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 
 #include "G4VisStateDependent.hh"
@@ -46,5 +46,4 @@
   }
   else if (previousState == G4State_EventProc &&  requestedState == G4State_GeomClosed) {
-    printf("G4VisStateDependent::EndOfEvent \n");
     fpVisManager -> EndOfEvent ();
   }
